Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.classifiers.meta.generators
Class RandomizableDistributionGenerator

    java.lang.Object
      weka.classifiers.meta.generators.Generator
          weka.classifiers.meta.generators.RandomizableGenerator
              weka.classifiers.meta.generators.RandomizableDistributionGenerator

All Implemented Interfaces:
  java.io.Serializable, Mean, OptionHandler

Direct Known Subclasses:
  GaussianGenerator, MixedGaussianGenerator

    public abstract class RandomizableDistributionGenerator

extends RandomizableGenerator
implements Mean

An abstract superclass for randomizable generators that make use of mean and standard deviation.

Version:
  $Revision: 5793 $
Author:
  fracpete (fracpet at waikato dot ac dot nz)
See Also:
  Serialized Form

Constructor Summary
`RandomizableDistributionGenerator()`

Method Summary
`double` | `getMean()` Gets the current mean of the underlying Gaussian distribution.
`java.lang.String[]` | `getOptions()` Gets the current settings of the generator.
`double` | `getStandardDeviation()` Gets the current standard deviation of the underlying distribution.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`java.lang.String` | `meanTipText()` Returns the tip text for this property.
`void` | `setMean(double value)` Sets the mean of the Gaussian distribution to a new mean.
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `setStandardDeviation(double value)` Sets the standard deviation of the distribution to a new value.
`java.lang.String` | `standardDeviationTipText()` Returns the tip text for this property.

Methods inherited from class weka.classifiers.meta.generators.RandomizableGenerator
`getSeed, seedTipText, setSeed`

Methods inherited from class weka.classifiers.meta.generators.Generator
`copy, debugTipText, forName, generate, getDebug, getLogProbabilityOf, getProbabilityOf, globalInfo, setDebug`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomizableDistributionGenerator

    public RandomizableDistributionGenerator()

Method Detail

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `RandomizableGenerator`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options.

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `RandomizableGenerator`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the generator.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `RandomizableGenerator`
  Returns:
    an array of strings suitable for passing to setOptions

### getMean

    public double getMean()

  Gets the current mean of the underlying Gaussian distribution.

  Returns:
    The current mean of the Gaussian distribution.

### setMean

    public void setMean(double value)

  Sets the mean of the Gaussian distribution to a new mean.

  Specified by:
    `setMean` in interface `Mean`
  Parameters:
    `value` - The new mean for the distribution.

### meanTipText

    public java.lang.String meanTipText()

  Returns the tip text for this property.

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

### getStandardDeviation

    public double getStandardDeviation()

  Gets the current standard deviation of the underlying distribution.

  Returns:
    The current standard deviation of the distribution.

### setStandardDeviation

    public void setStandardDeviation(double value)

  Sets the standard deviation of the distribution to a new value.

  Specified by:
    `setStandardDeviation` in interface `Mean`
  Parameters:
    `value` - The new standard deviation.

### standardDeviationTipText

    public java.lang.String standardDeviationTipText()

  Returns the tip text for this property.

  Returns:
    tip text for this property suitable for displaying in the explorer/experimenter gui

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD